## pam-python 0.1.1

=== Makefile ===
ME=$(shell basename $$PWD)
DEBIANPACKAGE=$(shell sed -e 's/-[^-]*$$//' <<<"$(ME)")
PACKAGE=$(shell sed -e 's/-[^-]*$$//' -e 's/-/_/' <<<"$(ME)")
VERSION=$(shell sed 's/.*-//' <<<"$(ME)")
YEAR=$(shell date +%Y)
MONTH=$(shell date +%b)
DATE=$(shell date +%Y-%m-%d)

all:	doc lib

lib:
	$(MAKE) --directory src

doc:
	$(MAKE) --directory doc

test:	
	$(MAKE) --directory src $@

clean install:
	rm -rf pam_python
	$(MAKE) --directory doc $@
	$(MAKE) --directory src $@

www:	clean
	#
	# Update all the version numbers and dates.
	#
	sed -i '/$(YEAR)/!s/^\(  Copyright (c) .*2[0-9]*\)\([ ]*Russell Stuart\)/\1,$(YEAR)\2/' README.txt
	sed -i '/$(YEAR)/!s/^\( [*].*Copyright (c) .*2[0-9]*\)\([ ]*Russell Stuart\)/\1,$(YEAR)\2/' src/$(PACKAGE).c
	sed -i 's/^\(const char libpam_python_version\[\][ 	]*=[ 	]*"\)[^ "]*/\1$(VERSION)/' src/$(PACKAGE).c
	sed -i '/$(YEAR)/!s/\(.* is copyright &copy; .*2[0-9]*\)\([ ]*Russell Stuart\)/\1,$(YEAR)\2/' $(PACKAGE).html
	sed -i 's/$(PACKAGE)-[0-9]\+\([.][0-9]\+\)\+/$(PACKAGE)-$(VERSION)/g' $(PACKAGE).html
	sed -i 's/^\([ 	]*version="\)[0-9]\+\([.][0-9]\+\)\+/\1$(VERSION)/' src/setup.py
	#
	# Build the www directory.
	#
	mkdir $(PACKAGE)
	(cd ..; tar cfz $(ME)/$(PACKAGE)/$(PACKAGE)-$(VERSION).tar.gz --exclude=$(ME)/debian --exclude=$(ME)/$(PACKAGE) $(ME))
	cp -a ChangeLog.txt epl-v10.html $(PACKAGE).html $(PACKAGE)
	cp $(PACKAGE)/$(PACKAGE)-$(VERSION).tar.gz ../$(DEBIANPACKAGE)_$(VERSION).orig.tar.gz
	$(MAKE) --directory doc DOCDIR=../$(PACKAGE) build install
	mv $(PACKAGE)/html $(PACKAGE)/doc
	ln -s pam_python.html $(PACKAGE)/index.html

.PHONY:	doc lib
