=== doc/Makefile ===
ifdef PYVER
  MKHOWTO=/usr/lib/python$(PYVER)/doc/tools/mkhowto
else
  MKHOWTO=$(firstword $(wildcard /usr/lib/python2.*/doc/tools/mkhowto))
endif

PREFIX	?= /usr
DOCDIR	= $(PREFIX)/share/doc/pam_python

build:
	$(MKHOWTO) --style=style.css --about=about.dat --iconserver=icons

install:
	cp -a pam_python $(DESTDIR)$(DOCDIR)/html
	cp -a icons $(DESTDIR)$(DOCDIR)/html/.
	cp ../README.txt $(DESTDIR)$(DOCDIR)/.
	cp -a ../examples $(DESTDIR)$(DOCDIR)/.

clean:
	rm -rf pam_python *~
