## pam-python 1.0.0

=== Makefile ===
ME=$(shell basename $$PWD)
DEBIANPACKAGE=$(shell sed -e 's/-[^-]*$$//' <<<"$(ME)")
PACKAGE=$(shell sed -e 's/-[^-]*$$//' -e 's/-/_/' <<<"$(ME)")
VERSION=$(shell sed 's/.*-//' <<<"$(ME)")
YEAR=$(shell date +%Y)
MONTH=$(shell date +%b)
DATE=$(shell date +%Y-%m-%d)

all:	doc lib

lib:
	$(MAKE) --directory src

doc:
	$(MAKE) --directory doc

test:	
	$(MAKE) --directory src $@

clean install:
	rm -rf pam_python
	$(MAKE) --directory doc $@
	$(MAKE) --directory src $@

.PHONY:	doc lib
