=== src/Makefile ===
--- 
+++ 
@@ -12,10 +12,11 @@
 	ln -sf build/lib.*/$@ .
 
 install:
+	mkdir -p $(DESTDIR)/lib/security
 	cp build/lib.*/pam_python.so $(DESTDIR)/lib/security
 
 clean:
-	rm -rf build ctest pam_python.so test-pam_python.pam test.pyc
+	rm -rf build ctest pam_python.so test-pam_python.pam test.pyc core
 	s=$$([ $$(id -u) = 0 ] || echo sudo); $$s rm -f /etc/pam.d/test-pam_python.pam
 
 ctest:	ctest.c Makefile
