=== debian/changelog ===
pam-python (1.0.0-2) unstable; urgency=low

  * debian/watch: fixed url.

 -- Russell Stuart <russell-debian@stuart.id.au>  Sun,  4 Jul 2010 09:55:20 +1000

pam-python (1.0.0-1) unstable; urgency=low

  * New upsteam release - documentation format changed to sphinx.
    (Closes: #582754).
  * Split into binary and doc packages because documentation now
    depends on libjs-jquery.
  * Switch to dpkg-source 3.0 (quilt) format

 -- Russell Stuart <russell-debian@stuart.id.au>  Tue, 29 Jun 2010 13:27:36 +1000

pam-python (0.1.1-2) unstable; urgency=low

  * Fix rules file to work properly when building arch dependent
    packages.
  * Correct clean target in the rules file to make sure unpatching is
    done after make clean is executed, to make sure the patches are in
    effect when cleaning is done.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 17 May 2010 16:57:49 +0200

pam-python (0.1.1-1) unstable; urgency=low

  * Initial release based on package from upstream (Closes: #578650).
  * Drop build depend on latex2html to avoid non-free dependency.
  * Upgrade from debhelper 5 to 7.
  * Update standards-version from 3.7.3 to 3.8.4.  No changes needed.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 05 May 2010 10:25:24 +0200
