## pam-python 1.0.1

=== doc/Makefile ===
PREFIX	?= /usr
DOCDIR	= $(PREFIX)/share/doc/pam_python

build:
	sphinx-build -b html -E . html
	rm -f html/index.html && ln -s pam_python.html html/index.html

install:
	mkdir -p $(DESTDIR)$(DOCDIR)/html
	cp -a html/* $(DESTDIR)$(DOCDIR)/html
	mkdir -p $(DESTDIR)$(DOCDIR)/examples
	cp -a ../examples $(DESTDIR)$(DOCDIR)/.

clean:
	rm -rf html
