=== src/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 all:	ctest pam_python.so test-pam_python.pam
 
-WARNINGS=-Wall -W -Wundef -Wshadow -Wpointer-arith -Wbad-function-cast -Wsign-compare -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -Werror
-#WARNINGS=-Wunreachable-code 	# Gcc 4.1 is too buggy to make this useful
+WARNINGS=-Wall -Wextra -Wundef -Wshadow -Wpointer-arith -Wbad-function-cast -Wsign-compare -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -Werror
+#WARNINGS=-Wunreachable-code 	# Gcc 4.1 .. 4.4 are too buggy to make this useful
 
 pam_python.so: pam_python.c setup.py Makefile
 	@rm -f "$@"
@@ -20,7 +20,7 @@
 	s=$$([ $$(id -u) = 0 ] || echo sudo); $$s rm -f /etc/pam.d/test-pam_python.pam
 
 ctest:	ctest.c Makefile
-	gcc -O0 $(WARNINGS) -g -o $@ -lpam ctest.c
+	gcc -O0 $(WARNINGS) -g -o $@ ctest.c -lpam
 
 test-pam_python.pam: test-pam_python.pam.in Makefile
 	sed "s,\\\$$PWD,$$(pwd),g" "$@.in" >"$@.tmp"
