=== debian/changelog ===
pam-python (1.0.1-1) unstable; urgency=low

  * New upstream incorporating --load-as-needed patch from Ubuntu.
    (Closes: #606700).
  * Removed Petter Reinholdtsen from Uploaders at his suggestion.

 -- Russell Stuart <russell-debian@stuart.id.au>  Mon, 13 Dec 2010 09:12:09 +1000
