=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Petter Reinholdtsen <pere@debian.org>
 Build-Depends: debhelper (>= 7), python-all-dev (>= 2.2), python-sphinx,
   libpam0g-dev | libpam-dev
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage:  http://www.stuart.id.au/russell/files/pam_python
 DM-Upload-Allowed: yes
 XS-Python-Version: >= 2.2
