## pam-python 1.0.2

=== Makefile ===
--- 
+++ 
@@ -6,20 +6,37 @@
 MONTH=$(shell date +%b)
 DATE=$(shell date +%Y-%m-%d)
 
+.PHONY:	all
 all:	doc lib
 
+.PHONY:	lib
 lib:
 	$(MAKE) --directory src
 
+.PHONY:	doc
 doc:
 	$(MAKE) --directory doc
 
+.PHONY:	test
 test:	
 	$(MAKE) --directory src $@
 
-clean install:
+.PHONY:	clean-pam_python
+clean-pam_python:
 	rm -rf pam_python
+
+.PHONY:	clean
+clean: clean-pam_python
 	$(MAKE) --directory doc $@
 	$(MAKE) --directory src $@
 
-.PHONY:	doc lib
+.PHONY:	install
+install: install-doc install-lib
+
+.PHONY:	install-doc
+install-doc: clean-pam_python
+	$(MAKE) --directory doc $@
+
+.PHONY:	install-lib
+install-lib: clean-pam_python
+	$(MAKE) --directory src $@
