=== src/Makefile ===
--- 
+++ 
@@ -11,14 +11,18 @@
 	@#CFLAGS="-O0 $(WARNINGS)" Py_DEBUG=1 ./setup.py build --debug
 	ln -sf build/lib.*/$@ .
 
-install:
+.PHONY: install install-lib
+install: install-lib
+install-lib:
 	mkdir -p $(DESTDIR)/lib/security
 	cp build/lib.*/pam_python.so $(DESTDIR)/lib/security
 
+.PHONY: clean
 clean:
 	rm -rf build ctest pam_python.so test-pam_python.pam test.pyc core
 	s=$$([ $$(id -u) = 0 ] || echo sudo); $$s rm -f /etc/pam.d/test-pam_python.pam
 
+.PHONY: ctest
 ctest:	ctest.c Makefile
 	gcc -O0 $(WARNINGS) -g -o $@ ctest.c -lpam
 
@@ -29,6 +33,7 @@
 /etc/pam.d/test-pam_python.pam: test-pam_python.pam
 	s=$$([ $$(id -u) = 0 ] || echo sudo); $$s ln -sf $$(pwd)/test-pam_python.pam /etc/pam.d
 
+.PHONY: test
 test: pam_python.so ctest /etc/pam.d/test-pam_python.pam
 	python test.py
 	./ctest
