=== debian/changelog ===
pam-python (1.0.2-1) unstable; urgency=low

  * New upstream.
  * Bumped standards version to 3.9.3.

 -- Russell Stuart <russell-debian@stuart.id.au>  Thu,  5 Apr 2012 15:23:06 +1000
