=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Petter Reinholdtsen <pere@debian.org>
 Build-Depends: debhelper (>= 7), python-all-dev (>= 2.2), python-sphinx,
   libpam0g-dev | libpam-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.3
 Homepage:  http://www.stuart.id.au/russell/files/pam_python
 DM-Upload-Allowed: yes
 XS-Python-Version: >= 2.2
@@ -24,7 +24,7 @@
 Package: libpam-python-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}, libjs-jquery
+Depends: ${misc:Depends}, libjs-jquery, libjs-underscore
 Recommends: libpam-python
 Description: Documentation for the bindings provided by libpam-python
  The libpam-python PAM module runs the Python interpreter, thus allowing
