=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

.PHONY: get-orig-source
get-orig-source:
	@if [ -z "$(UPSTREAM_VERSION)" ]; then echo "Please run as .../debian/rules UPSTREAM_VERSION=xxx $@"; exit 1; fi
	wget -O "pam-python_$(UPSTREAM_VERSION).orig.tar.gz" "http://www.stuart.id.au/russell/files/pam_python/pam_python-$(UPSTREAM_VERSION).tar.gz"

BIN_PACKAGE	= libpam-python
DOC_PACKAGE	= libpam-python-doc
DOC_DIR		= usr/share/doc/$(DOC_PACKAGE)

.PHONY: clean
clean:
	dh_testdir
	$(MAKE) clean
	dh_clean

.PHONY: build build-arch build-indep
build: build-arch build-indep
build-arch:
	$(MAKE) lib
build-indep:
	$(MAKE) doc

.PHONY: install install-arch install-indep
install: install-arch install-indep
install-arch: build-arch
	dh_testdir --arch
	dh_testroot --arch
	dh_prep --arch
	dh_installdocs --arch
	dh_installchangelogs --arch
	$(MAKE) DESTDIR=$(CURDIR)/debian/$(BIN_PACKAGE) install-lib

install-indep: build-indep
	dh_testdir --indep
	dh_testroot --indep
	dh_prep --indep
	dh_installdocs --indep
	dh_installdocs -p$(DOC_PACKAGE) README.txt
	dh_installchangelogs --indep
	$(MAKE) DESTDIR=$(CURDIR)/debian/$(DOC_PACKAGE) DOCDIR=/$(DOC_DIR) install-doc
	rm $(CURDIR)/debian/$(DOC_PACKAGE)/$(DOC_DIR)/html/_static/jquery.js
	dh_link -p$(DOC_PACKAGE) /usr/share/javascript/jquery/jquery.js $(DOC_DIR)/html/_static/jquery.js
	rm $(CURDIR)/debian/$(DOC_PACKAGE)/$(DOC_DIR)/html/_static/underscore.js
	dh_link -p$(DOC_PACKAGE) /usr/share/javascript/underscore/underscore.js $(DOC_DIR)/html/_static/underscore.js
	dh_compress --indep -X$(DOC_DIR)/html

.PHONY: binary binary-arch binary-indep
binary: binary-arch binary-indep
binary-arch: install-arch
	dh_testdir --arch
	dh_testroot --arch
	dh_link --arch
	dh_strip --arch
	dh_compress --arch
	dh_fixperms --arch
	dh_installdeb --arch
	dh_shlibdeps --arch
	dh_gencontrol --arch
	dh_md5sums --arch
	dh_builddeb --arch

binary-indep: install-indep
	dh_testdir --indep
	dh_testroot --indep
	dh_fixperms --indep
	dh_installdeb --indep
	dh_gencontrol --indep
	dh_md5sums --indep
	dh_builddeb --indep
