=== debian/watch ===
version=3

http://www.stuart.id.au/russell/files/pam_python/pam-python-(.*).tar.gz
