## pam-python 1.0.4

=== src/Makefile ===
--- 
+++ 
@@ -2,6 +2,8 @@
 
 WARNINGS=-Wall -Wextra -Wundef -Wshadow -Wpointer-arith -Wbad-function-cast -Wsign-compare -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -Werror
 #WARNINGS=-Wunreachable-code 	# Gcc 4.1 .. 4.4 are too buggy to make this useful
+
+LIBDIR ?= /lib/security
 
 pam_python.so: pam_python.c setup.py Makefile
 	@rm -f "$@"
@@ -14,13 +16,13 @@
 .PHONY: install install-lib
 install: install-lib
 install-lib:
-	mkdir -p $(DESTDIR)/lib/security
-	cp build/lib.*/pam_python.so $(DESTDIR)/lib/security
+	mkdir -p $(DESTDIR)$(LIBDIR)
+	cp build/lib.*/pam_python.so $(DESTDIR)$(LIBDIR)
 
 .PHONY: clean
 clean:
 	rm -rf build ctest pam_python.so test-pam_python.pam test.pyc core
-	s=$$([ $$(id -u) = 0 ] || echo sudo); $$s rm -f /etc/pam.d/test-pam_python.pam
+	[ ! -e /etc/pam.d/test-pam_python.pam ] || { s=$$([ $$(id -u) = 0 ] || echo sudo); $$s rm -f /etc/pam.d/test-pam_python.pam; }
 
 .PHONY: ctest
 ctest:	ctest.c Makefile
