=== debian/changelog ===
pam-python (1.0.4-1.1+deb8u1) jessie-security; urgency=high

  * Backport fix CVE-2019-16729 backport from 1.0.7.

 -- Russell Stuart <russell-debian@stuart.id.au>  Mon, 28 Oct 2019 08:20:25 +1000

pam-python (1.0.4-1) unstable; urgency=low

  * New upstream, moved to AGPL-3.0.

 -- Russell Stuart <russell-debian@stuart.id.au>  Fri, 30 May 2014 06:31:46 +1000

pam-python (1.0.3-1) unstable; urgency=low

  * Fix lintian warnings under jessie.
  * New upstream, improving compatibility with older python versions.

 -- Russell Stuart <russell-debian@stuart.id.au>  Sun,  4 May 2014 23:30:32 +1000
