=== debian/control ===
--- 
+++ 
@@ -2,12 +2,10 @@
 Section: python
 Priority: extra
 Maintainer: Russell Stuart <russell-debian@stuart.id.au>
-Uploaders: Petter Reinholdtsen <pere@debian.org>
 Build-Depends: debhelper (>= 7), python-all-dev (>= 2.2), python-sphinx,
   libpam0g-dev | libpam-dev
-Standards-Version: 3.9.3
-Homepage:  http://www.stuart.id.au/russell/files/pam_python
-DM-Upload-Allowed: yes
+Standards-Version: 3.9.5
+Homepage:  http://pam-python.sourceforge.net/
 XS-Python-Version: >= 2.2
 
 Package: libpam-python
