=== debian/rules ===
--- 
+++ 
@@ -2,14 +2,28 @@
 
 #export DH_VERBOSE=1
 
-.PHONY: get-orig-source
-get-orig-source:
-	@if [ -z "$(UPSTREAM_VERSION)" ]; then echo "Please run as .../debian/rules UPSTREAM_VERSION=xxx $@"; exit 1; fi
-	wget -O "pam-python_$(UPSTREAM_VERSION).orig.tar.gz" "http://www.stuart.id.au/russell/files/pam_python/pam_python-$(UPSTREAM_VERSION).tar.gz"
-
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 BIN_PACKAGE	= libpam-python
 DOC_PACKAGE	= libpam-python-doc
 DOC_DIR		= usr/share/doc/$(DOC_PACKAGE)
+
+ME=$(shell sed 's,\([^ ]*\) .*,\1,;q' debian/changelog)
+
+ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
+	CFLAGS += -O0
+endif
+ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
+	CFLAGS += -g
+endif
+
+.PHONY:	get-orig-source
+get-orig-source:
+	version=$(shell \
+	    wget -O - "http://sourceforge.net/projects/$(ME)/files/" | \
+	    sed -n 's;.*<a href="/projects/$(ME)/files/$(ME)-\([^/]*\)/".*;\1;p' | \
+	    sort --version-sort -r | sed 1q); \
+	wget "http://downloads.sourceforge.net/$(ME)/$(ME)-$${version}/$(ME)-$${version%-*}.tar.gz"; \
+	mv "$(ME)-$${version%-*}.tar.gz" "$(ME)_$${version%-*}.orig.tar.gz"
 
 .PHONY: clean
 clean:
@@ -20,9 +34,9 @@
 .PHONY: build build-arch build-indep
 build: build-arch build-indep
 build-arch:
-	$(MAKE) lib
+	$(shell dpkg-buildflags --export=configure) $(MAKE) lib
 build-indep:
-	$(MAKE) doc
+	$(shell dpkg-buildflags --export=configure) $(MAKE) doc
 
 .PHONY: install install-arch install-indep
 install: install-arch install-indep
@@ -32,7 +46,7 @@
 	dh_prep --arch
 	dh_installdocs --arch
 	dh_installchangelogs --arch
-	$(MAKE) DESTDIR=$(CURDIR)/debian/$(BIN_PACKAGE) install-lib
+	$(MAKE) DESTDIR=$(CURDIR)/debian/$(BIN_PACKAGE) LIBDIR=/lib/$(DEB_HOST_MULTIARCH)/security install-lib
 
 install-indep: build-indep
 	dh_testdir --indep
