## pam-python 1.0.6

=== doc/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PREFIX	?= /usr
-DOCDIR	= $(PREFIX)/share/doc/pam_python
+DOCDIR	?= $(PREFIX)/share/doc/pam_python
 
 .PHONY: build
 build:
