=== debian/changelog ===
pam-python (1.0.6-1.1+deb10u1) buster-security; urgency=high

  * Backport fix CVE-2019-16729 backport from 1.0.7.

 -- Russell Stuart <russell-debian@stuart.id.au>  Mon, 28 Oct 2019 08:08:05 +1000

pam-python (1.0.6-1) unstable; urgency=low

  * New upstream.
  * Add debian specific patch to link sphinx to python-doc instead
    of online version.  (Closes: #833411).
  * Bump standards version.

 -- Russell Stuart <russell-debian@stuart.id.au>  Sat, 27 Aug 2016 21:37:03 +1000

pam-python (1.0.5-1) unstable; urgency=low

  * New upstream.
  * Bump standards version.

 -- Russell Stuart <russell-debian@stuart.id.au>  Fri, 19 Feb 2016 20:51:53 +1000
