=== debian/changelog ===
pam-python (1.0.7-1ubuntu1) focal; urgency=medium

  * Build-depend on python2-doc.
  * Let the autopkg test depend on libpam0g-dev | libpam-dev.
  * Build using python2.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 18 Mar 2020 16:11:32 +0100

pam-python (1.0.7-1) unstable; urgency=high

  * New upstream.

 -- Russell Stuart <russell-debian@stuart.id.au>  Wed, 18 Sep 2019 20:25:13 +1000
