=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: pam-python
-Section: python
-Priority: extra
+Section: admin
+Priority: optional
 Maintainer: Russell Stuart <russell-debian@stuart.id.au>
-Build-Depends: debhelper (>= 7), python-all-dev (>= 2.2), python-sphinx,
-  python-doc,
+Build-Depends: debhelper (>= 9), python-all-dev (>= 2.2), python3-sphinx,
+  python2-doc,
   libpam0g-dev | libpam-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.3.0
 Homepage:  http://pam-python.sourceforge.net/
-XS-Python-Version: >= 2.2
 
 Package: libpam-python
 Architecture: any
