=== debian/tests/control ===
Tests: pam-python-test.sh
Depends: build-essential, libpam-python, python-pam, libpam0g-dev | libpam-dev
Restrictions: needs-root
