=== debian/changelog ===
pam-python (1.0.9-2) unstable; urgency=high

  * Source only upload for migration to testing

 -- Russell Stuart <russell-debian@stuart.id.au>  Mon, 23 Nov 2020 18:57:51 +1000

pam-python (1.0.9-1) unstable; urgency=high

  * Get rid of tests.  They are python2 only.  Closes: 974589.

 -- Russell Stuart <russell-debian@stuart.id.au>  Fri, 13 Nov 2020 07:17:29 +1000

pam-python (1.0.8-1) unstable; urgency=high

  * New upstream.
  * Move to explicit python2 versioning.  Closes: #967194.

 -- Russell Stuart <russell-debian@stuart.id.au>  Thu,  5 Nov 2020 20:47:48 +1000
