=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: admin
 Priority: optional
 Maintainer: Russell Stuart <russell-debian@stuart.id.au>
-Build-Depends: debhelper (>= 9), python-all-dev (>= 2.2), python3-sphinx,
-  python2-doc,
+Build-Depends: debhelper (>= 12),
+  python2, python2-dev (>= 2.2), python2-doc,
+  python3, python3-sphinx,
   libpam0g-dev | libpam-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Homepage:  http://pam-python.sourceforge.net/
 
 Package: libpam-python
@@ -22,7 +23,7 @@
 Package: libpam-python-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}, libjs-jquery, libjs-underscore
+Depends: ${misc:Depends}, libjs-jquery, libjs-underscore, sphinx-common
 Recommends: libpam-python
 Description: Documentation for the bindings provided by libpam-python
  The libpam-python PAM module runs the Python interpreter, thus allowing
