=== debian/watch ===
version=4

https://sourceforge.net/projects/pam-python/files/ /projects/pam-python/files/pam-python-(\d[^-]*)[^/]*/
