## pam-python 1.1.0~git20220701.1d4e111

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,3 @@
-ME=$(shell basename $$PWD)
-DEBIANPACKAGE=$(shell sed -e 's/-[^-]*$$//' <<<"$(ME)")
-PACKAGE=$(shell sed -e 's/-[^-]*$$//' -e 's/-/_/' <<<"$(ME)")
-VERSION=$(shell sed 's/.*-//' <<<"$(ME)")
-YEAR=$(shell date +%Y)
-MONTH=$(shell date +%b)
-DATE=$(shell date +%Y-%m-%d)
-
 .PHONY:	all
 all:	doc lib
 
@@ -40,3 +32,21 @@
 .PHONY:	install-lib
 install-lib: clean-pam_python
 	$(MAKE) --directory src $@
+
+RELEASE_SOURCES = \
+	ChangeLog.txt \
+	Makefile \
+	Makefile.release \
+	pam-python.html \
+	README.txt \
+	doc/pam_python.rst \
+	src/ctest.c \
+	src/Makefile \
+	src/pam_python.c \
+	src/setup.py \
+	src/test-pam_python.pam.in \
+	src/test.py
+
+include Makefile.release
+
+release-project-clean:: clean
