=== debian/changelog ===
pam-python (1.1.0~git20220701.1d4e111-2) unstable; urgency=high

  * Source only upload.

 -- Russell Stuart <russell-debian@stuart.id.au>  Thu, 12 Sep 2024 17:58:03 +1000

pam-python (1.1.0~git20220701.1d4e111-1) unstable; urgency=high

  * Fix CVE-2019-16729 again.  Closes: ##1076955.
  * Add Build-Depends: python3-setuptools.  Closes: #1080693.

 -- Russell Stuart <russell-debian@stuart.id.au>  Thu,  5 Sep 2024 17:59:09 +1000

pam-python (1.1.0~git20220701.1d4e111-0.6) unstable; urgency=medium

  * Non-maintainer upload.

  [ Michael Biebl ]
  * Install PAM module into multiarch path in /usr. (Closes: #1064046)

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 11 Jun 2024 01:50:03 +0200

pam-python (1.1.0~git20220701.1d4e111-0.5) unstable; urgency=medium

  * debian/patches:
    + Add 1001_Py_DontWriteBytecodeFlag-deprecation-in-py312.patch.
      Use new PyConfig API for setting global config vars starting
      with Python 3.12. (Closes: #1061376).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 07 Feb 2024 08:07:10 +0100

pam-python (1.1.0~git20220701.1d4e111-0.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix the path to the Python intersphinx repository. Closes: #1061304.

 -- Matthias Klose <doko@debian.org>  Mon, 22 Jan 2024 14:45:27 +0100

pam-python (1.1.0~git20220701.1d4e111-0.3) unstable; urgency=medium

  * debian/{copyright,control,watch}:
    + Switch to own (sunweaver) upstream location.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 23 Oct 2022 13:58:36 +0200

pam-python (1.1.0~git20220701.1d4e111-0.2) unstable; urgency=medium

  * Non-maintainer upload.

  * debian/tests/control:
    + Use python3-pam (not python-pam) test dependency.
    + Add 'libpam0g-dev | libpam-dev' to Depends: field.
  * debian/patches:
    + Amend autopkgtests. This adds
      0009_src-test-pam_python.pam.in-Use-more-tabs-make-file-m.patch,
      0010_src-Makefile-When-creating-symlink-test-pam_-PYTHON-.patch, and
      0011_src-Makefile-Fix-sed-expression-pam_python.so-is-spe.patch.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 23 Oct 2022 10:10:22 +0200

pam-python (1.1.0~git20220701.1d4e111-0.1) unstable; urgency=medium

  * Non-maintainer upload.

  * New Git snapshot from @Ionic providing Python3 support. (Closes: #937234).
  * debian/patches:
    + Add 000[2-8]_*.patch: Various patches from upstream Git (still pending
      submission). Rename intersphinx-localmapping.diff to
      2001_intersphinx-localmapping.patch.
    + Rebase 2001_intersphinx-localmapping.patch against upstream version bump
      patch.
  * debian/watch:
    + Obtain Git snapshot from gh/Ionic/pam-python, branch feature/py3.
  * debian/source.lintian-overrides:
    + Drop sourceforce related override.
  * debian/copyright:
    + Update/improve copyright attributions.
    + Use secure URL in Format: field.
  * debian/{compat,control}:
    + Switch to debhelper-compat notation and bump DH compat level to version
      13.
  * debian/rules (et al.):
    + Convert to pure debhelper.
  * debian/control:
    + Bump Standards-Version: to 4.6.1. No changes needed.
    + Re-phrase package SYNOPSIS and LONG_DESCRIPTION fields.
    + Add Vcs-*: fields. Maintain the packaging of this project on
      salsa.debian.org in the future.
    + Adjust layout of Depends: fields.
    + Add B-D: python3-pam (needed for unit tests, if one chooses to run
      them locally).
    + Fix unusual field spacing in Homepage: field.
    + Add Rules-Requires-Root: field and set it to 'no'.
  * debian/libpam-python-doc.links:
    + Fix notation (don't start a path with a slash).
    + Symlink to more .js files available in sphinx, libjs-underscore and
      libjs-jquery. (This probably needs more love).
  * debian/tests:
    + Re-enable autopkgtests (as a goal, should work, not-testable due to
      broken Debian sid atm).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 23 Oct 2022 01:26:40 +0200
