=== debian/control ===
Source: pam-python
Section: admin
Priority: optional
Maintainer: Russell Stuart <russell-debian@stuart.id.au>
Build-Depends: debhelper-compat (= 13),
  dh-python,
  python3,
  python3-dev,
  python3-doc,
  python3-pam,
  python3-setuptools,
  python3-sphinx,
  libpam0g-dev | libpam-dev
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/sunweaver/pam-python/
Vcs-Browser: https://salsa.debian.org/debian/pam-python/
Vcs-Git: https://salsa.debian.org/debian/pam-python.git

Package: libpam-python
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${python3:Depends},
Suggests: libpam-python-doc
Description: Enables PAM modules to be written in Python
 This PAM module runs the Python interpreter, thus allowing PAM modules
 to be written in Python. As a Python incurs a considerable overhead its
 intended audience is SysAdmins writing one off PAM modules. If you are
 doing that, you should probably install the documentation in
 libpam-python-doc as well.

Package: libpam-python-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         libjs-jquery,
         libjs-underscore,
         sphinx-common,
Recommends: libpam-python
Description: Documentation for the bindings provided by libpam-python
 The libpam-python PAM module runs the Python interpreter, thus allowing
 PAM modules to be written in Python.
 .
 This package documents the bindings provided by libpam-python.
